Bug 968258 - The page will hang when selecting "parted -l" tool in Diagnostics page.
The page will hang when selecting "parted -l" tool in Diagnostics page.
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ryan Barry
http://gerrit.ovirt.org/#/c/15584/
:
Depends On:
Blocks: ovirt-node-3.0
  Show dependency treegraph
 
Reported: 2013-05-29 06:24 EDT by haiyang,dong
Modified: 2016-04-26 13:49 EDT (History)
13 users (show)

See Also:
Fixed In Version: ovrt-node-3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-26 05:48:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attached Screenshot for Diagnostic page (46.55 KB, image/png)
2013-05-29 06:24 EDT, haiyang,dong
no flags Details

  None (edit)
Description haiyang,dong 2013-05-29 06:24:55 EDT
Created attachment 754282 [details]
attached Screenshot for Diagnostic page

Description of problem:
Clean install ovirt-node-iso-3.0.0-0.999.999.20130528151650git2f8c3a1.2330.fc18.iso,then enter into Diagnostics page.
Select the "parted -l" diagnostic tool,the Diagnostics page will hang, didn't show command Output Dialog.

Press "F2" to drop into shell and execute command "parted -l" by manually.
[root@dhcp-10-111 admin]# parted -l
Error: The backup GPT table is corrupt, but the primary appears OK, so that will
be used.
OK/Cancel?

Version-Release number of selected component (if applicable):
ovirt-node-iso-3.0.0-0.999.999.20130528151650git2f8c3a1.2330.fc18.iso

How reproducible:
100%

Steps to Reproduce:

Actual results:
After selected the "parted -l" diagnostic tool,the Diagnostics page will hang, didn't show command Output Dialog.

Expected results:
After selected the "parted -l" diagnostic tool,the Diagnostics page will show command Output Dialog.

Additional info:
workaround: chang the follow code in diagnostics_page.py

 80     def __diagnostics(self):
 81         return [("multipath", "multipath -ll"),
 82                 ("fdisk", "fdisk -l"),
-83                 ("parted", "parted -l")
+83                 ("parted", "echo ok |parted -l"),
 84                 ("lsblk", "lsblk")]
Comment 1 Ryan Barry 2013-06-18 10:25:22 EDT
The fix for this has been merged: http://gerrit.ovirt.org/#/c/15584/
Comment 2 Fabian Deutsch 2013-08-26 05:45:25 EDT
The fix for this patch has been merged and is present in the released ovirt-node-3.0.0.

Note You need to log in before you can comment on or make changes to this bug.